{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">{{title}}</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_child_create' id %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah {{title}}</button>
    </a>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">{{title}}</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                

                <div class="table-responsive py-3">
                    <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                        <thead class="bg-info text-white">
                            <th>No</th>
                            <th>Judul</th>
                            <th>Deskripsi</th>
                            <th>Icon</th>
                            <th>Aksi</th>
                        </thead>
                        <tbody>
                            {% for x in data %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td>{{x.nama}}</td>
                                <td>{{x.deskripsi}}</td>
                                <td class="text-center"><i class="{{x.icon}}"></i></td>
                                <td class="text-center">
                                    <a href="{% url 'profile:admin_child_edit' id x.child_id %}" title="Edit" class="btn btn-warning"><i class="fa fa-edit"></i></a>
                                    <a href="javascript:void(0);" data-child="{{ x.child_id }}" onclick="confirmDelete('{{ id }}', this.getAttribute('data-child'))" class="btn btn-danger" title="Hapus">
                                        <i class="fa fa-trash"></i>
                                    </a>                                                                                                         
                                </td>
                            </tr>
                            {% endfor %}
                            <script>
                                // Fungsi untuk menampilkan pesan konfirmasi SweetAlert2
                                function confirmDelete(id, childId) {
                                    Swal.fire({
                                        title: 'Konfirmasi Hapus',
                                        text: 'Apakah Anda yakin ingin menghapus data ini?',
                                        icon: 'warning',
                                        showCancelButton: true,
                                        confirmButtonText: 'Hapus',
                                        cancelButtonText: 'Batal'
                                    }).then((result) => {
                                        if (result.isConfirmed) {
                                            // Jika dikonfirmasi, arahkan ke URL delete
                                            window.location.href = "/manage_panel/mobil/child/permanent_delete_child/" + id + "/" + childId + "/";
                                        }
                                    });
                                }
                            </script>
                            
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <!-- <script src="{% static 'admin/js/admin/admin-aksi.js' %}"></script> -->
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
        });
    </script>
{% endblock scripts_bawah %}